> ## Documentation Index
> Fetch the complete documentation index at: https://docs.methodfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Token

Opal tokens are used as the starting point and authentication key to instantiate
Method's embeddable UI components within your experience.

> [!NOTE]
>
> For security purposes, Opal tokens are for one-time use only, and expire after
> 30 minutes.

## Body

The structure of the request body differs slightly depending on the Opal mode you are trying to use. See the [Opal Modes](https://docs.methodfi.com/opal/identity/overview.md) section for more information about specific modes.

> [!NOTE]
>
> Only `entity_id` or `entity` is required. If both are provided, `entity_id`
> will be ignored.

## Mode parameters

> [tab] Identity Verification

> [tab] Connect

> [tab] Card Connect

> [tab] Account Verification

> [tab] Transactions

> [tab] Balance Transfer

```bash cURL theme={null}
curl https://production.methodfi.com/opal/token \
  -X POST \
  -H "Method-Version: 2026-03-30" \
  -H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc" \
  -H "Content-Type: application/json" \
  -d '{
    "entity_id": "ent_fc92i43kc34",
    "mode": "identity_verification",
    "identity_verification": {
      "skip_pii": ["name", "dob", "address"]
    }
  }'

```

```javascript Node.js theme={null}
const token = await method.opal.token.create({
  entity_id: "ent_fc92i43kc34",
  mode: "identity_verification",
  identity_verification: {
    skip_pii: ["name", "dob", "address"],
  },
});
```

```python Python theme={null}
token = method.opal.token.create({
  'entity_id': 'ent_fc92i43kc34',
  'mode': 'identity_verification',
  'identity_verification': {
    'skip_pii': ['name', 'dob', 'address']
  }
})
```

```json theme={null}
{
  "success": true,
  "data": {
    "token": "otkn_THpBacqVBBrDkfqUf9htjm4QWAEJLY9a",
    "valid_until": "2025-05-08T22:21:40.312Z",
    "session_id": "osess_zde3mW34pEHqV"
  },
  "message": null
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.